> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/common/restaurant.md).

# Restaurant

The `restaurant`object represents the predefined information of a restaurant.

### Available Fields

| Field Name        | Type     | Description                                    |
| ----------------- | -------- | ---------------------------------------------- |
| `id`              | ID       | Restaurant ID                                  |
| `databaseid`      | String   | Restaurant databaseID                          |
| `name`            | String   | Restaurant name                                |
| `phone`           | String   | Restaurant phone number                        |
| `description`     | String   | Restaurant description                         |
| `location`        | Float    | Restaurant current location                    |
| `isActive`        | Boolean  | True if the restaurant is active               |
| `createdAt`       | DateTime | Date and time when the restaurant was added    |
| `updatedAt`       | DateTime | Date and time when the restaurant was updated  |
| `address1`        | String   | Restaurant address                             |
| `postalCode`      | String   | Restaurant postal code                         |
| `country`         | String   | Country name where the restaurant is located   |
| `priceRating`     | String   | restaurant meals price rates                   |
| `isOpen`          | Boolean  | True if the restaurant is open                 |
| `isUsersFavorite` | Boolean  | True if this is the user's favorite restaurant |
| `isClosed`        | Boolean  | True if the restaurant is closed               |

Use this object in the following :

* [recommendedMenuitems](https://docs.suggestic.com/graphql/query/queries/restaurants/recommend-menu-items)
* [restaurantsSearch](https://docs.suggestic.com/graphql/query/search/restaurant-search)
* [restaurantSearchByLocation](https://docs.suggestic.com/graphql/query/search/restaurants)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/common/restaurant.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
